package influence;

import java.awt.*;
import java.io.*;

public class Cell extends java.awt.Component implements Serializable
{
    public static final int MAXSTR=10;
    public static final int MAXDEV=10;
    private Point position;
    private int level=0;
    
    public void setPosition(Point p){
        position = p;
    }
    
    public Point getPosition(){
        return position;
    }
    
    public void changeLevel(int change){
        level+=change;
    }
    
    public void setLevel(int l){
        level = l;
    }
    
    public void paint(Graphics g){
        Dimension size = this.getSize();
        float c = (level>0)?1.0f:0.6f;
        g.setColor(Color.getHSBColor(c,(1.0f/MAXSTR)*Math.min(MAXSTR,Math.abs(level)),1));
        g.fillRect(0,0,size.width,size.height);    
        g.setColor(Color.black);
        g.drawRect(0,0,size.width-1,size.height-1);    
    }
        
    
}