package influence;

import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class InfluenceDemo extends java.applet.Applet implements ItemListener,ActionListener
{
    Choice side,strength,range;
    InfluenceMap map ;
    Button clear;
    
	public void init()
	{
		//{{INIT_CONTROLS
		setLayout(new BorderLayout(0,0));
		setSize(500,500);
		//}}
        map = new InfluenceMap();
        add(map,"Center");
        Panel control = new Panel();
        clear = new Button("Clear");
        control.add(clear);
        clear.addActionListener(this);
        
        
        side = new Choice();
        side.add("Side A");
        side.add("Side B");
        
        strength = new Choice();
        
        
        range = new Choice();
        side.addItemListener(this);
        strength.addItemListener(this);
        range.addItemListener(this);
        for(int i=1;i<=10;i++){
            strength.add(""+i);
            range.add(""+i);
        }
        strength.select(4);
        range.select(3);
        Label label = new Label("Team");
        control.add(label);
        control.add(side);
        label = new Label("Strength");
        label.invalidate();
        control.add(label);
        control.add(strength);
        label = new Label("Range");
        control.add(label);
        control.add(range);
        
        add(control,"North");
       
        setupUnit();
		}

        public void actionPerformed(ActionEvent e){
            map.clearMap();
        }

        public void itemStateChanged(ItemEvent e){
            setupUnit();
        }
        
        public void setupUnit(){
            boolean team = (side.getSelectedIndex()==0);
            int str = strength.getSelectedIndex()+1;
            int dev = range.getSelectedIndex()+1;
            Unit unit = new Unit(new Point(0,0),str,dev,team);
            map.setUnitType(unit);
            
        }

	//{{DECLARE_CONTROLS
	//}}

}